
import java.io.File;
import java.io.IOException;
import javax.sound.midi.MidiSystem;
import javax.sound.midi.Sequence;
import javax.sound.midi.Sequencer;

/**
 *
 * @author yunglu
 */
public class Main {
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        // TODO code application logic here
        Sequence currentSound;
        Sequencer player;
        try {
            File file = new File("yoursound.mid");
            currentSound = MidiSystem.getSequence(file);
            player = MidiSystem.getSequencer();
            player.open();
            player.setSequence(currentSound);
            player.start();
            while (player.isRunning()) {
                try {
                    Thread.sleep(10);
                } catch (InterruptedException ie) {
                    System.out.println("Exception " + ie);
                }
            }
            player.close();
        } catch (Exception ioe) {
            System.out.println("Exception " + ioe);
        }
    }
}
